#805 closed enhancement (wontfix)

Twitter: auto-delete old tweets

Reported by: ilf@… Owned by: geert
Priority: normal Milestone:
Component: Twitter Version: 3.0.2
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:


I'd like to only keep a certain threshold of Tweets in my Twitter account and auto-delete older ones. I thought about scripting this with cron, but BitlBee seems the better place for this, since after an initial setup it could combine sending a new Tweet with deleting an old one. What do you think about this?

Attachments (0)

Change History (4)

comment:1 Changed at 2011-11-25T07:45:57Z by wilmer

Resolution: wontfix
Status: newclosed

Sounds like obscure enough that you should write a script for it.

The "undo" command would let you do it, but you'd need the full IDs of those tweets. Surely it'd be easier to just use a Twitter API lib for some fancy scripting language and write this. Sounds like something you could do with 10 lines of code.

comment:3 Changed at 2012-03-01T16:06:06Z by lorddeath@…

There's also the TweetDelete website that will delete old tweets for you, without requiring any local client/script :)

comment:4 Changed at 2012-03-24T18:18:25Z by ilf

lorddeath: Yeah, but then you're giving a third entity access to stuff you want to delete.

Modify Ticket

as closed The owner will remain geert.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment

E-mail address and name can be saved in the Preferences.

Note: See TracTickets for help on using tickets.